Skip to main content
POST
/
bundles
Create empty bundle
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/bundles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "advertiserId": 12345
}
'
{
  "bundleId": "abc123-def456-ghi789"
}

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json

Request body for creating a product bundle

advertiserId
integer
required

Advertiser ID to resolve brand manifest

Required range: x <= 9007199254740991
Example:

12345

channels
enum<string>[]

Channels to search (defaults to ["display", "olv", "ctv", "social"]). "video" is accepted as an alias for "olv".

Available options:
display,
olv,
ctv,
social,
video
Example:
["ctv", "display"]
countries
string[]

Countries to target (defaults to brand agent countries if not specified)

Maximum array length: 250
Example:
["US", "CA"]
brief
string

Natural language context for product search

Maximum string length: 5000
Example:

"Looking for premium video inventory targeting tech enthusiasts"

flightDates
object

Optional flight dates for availability filtering

budget
number

Optional budget for budget context

Required range: x > 0
Example:

50000

salesAgentIds
string[]

Filter products by sales agent ID(s)

Maximum array length: 50
Maximum string length: 255
Example:
["agent_456"]
salesAgentNames
string[]

Filter products by sales agent name(s) (case-insensitive substring match)

Maximum array length: 50
Maximum string length: 255
Example:
["Roundel", "Snap"]

Response

Create empty bundle

Response from empty bundle creation

bundleId
string
required

Bundle ID to use when creating a campaign or discovering products

Example:

"abc123-def456-ghi789"